# CONFIG_SYS_NS16550 is not set
# CONFIG_XILINX_UARTLITE is not set
# CONFIG_CMD_GPIO is not set
# CONFIG_CMD_SPI is not set
# CONFIG_CMD_SF is not set
# CONFIG_SPI_FLASH is not set
# CONFIG_SPI_FLASH_BAR is not set
# CONFIG_DM_SPI_FLASH is not set
# CONFIG_DM_SPI is not set
# CONFIG_SPI_FLASH_SPANSION is not set
# CONFIG_SPI_FLASH_STMICRO is not set
# CONFIG_SPI_FLASH_WINBOND is not set
# CONFIG_SPI_FLASH_MACRONIX is not set
# CONFIG_XILINX_SPI is not set
# CONFIG_CMD_FLASH is not set
# CONFIG_CMD_IMLS is not set
# CONFIG_MTD_NOR_FLASH is not set
# CONFIG_ZYNQ_QSPI is not set
# CONFIG_SF_DUAL_FLASH is not set
# CONFIG_SPI_GENERIC is not set
# CONFIG_SPI_FLASH_SST is not set
# CONFIG_ZYNQ_SPI is not set
# CONFIG_CMD_NAND is not set
# CONFIG_NAND is not set
# CONFIG_NAND_ARASAN is not set
# CONFIG_CMD_NAND_LOCK_UNLOCK is not set
# CONFIG_NET is not set
# CONFIG_PHY_GIGE is not set
# CONFIG_NETDEVICES is not set
# CONFIG_CMD_NET is not set
# CONFIG_DM_ETH is not set
# CONFIG_CMD_PING is not set
# CONFIG_CMD_DHCP is not set
# CONFIG_PHYLIB is not set
# CONFIG_CMD_TFTPPUT is not set
# CONFIG_CMD_NFS is not set
# CONFIG_CMD_MII is not set
# CONFIG_PHY_MARVELL is not set
# CONFIG_PHY_REALTEK is not set
# CONFIG_PHY_NATSEMI is not set
# CONFIG_XILINX_AXIEMAC is not set
# CONFIG_PHY_XILINX is not set
# CONFIG_XILINX_EMACLITE is not set
# CONFIG_ZYNQ_GEM is not set
# CONFIG_NET_RANDOM_ETHADDR is not set
# CONFIG_PHY_TI is not set
# CONFIG_PHY_VITESSE is not set
# CONFIG_PHY_FIXED is not set
# CONFIG_SATA_CEVA is not set
# CONFIG_DM_SCSI is not set
# CONFIG_AHCI is not set
# CONFIG_SCSI is not set
# CONFIG_CMD_SCSI is not set
# CONFIG_SCSI_AHCI is not set
# CONFIG_ZYNQ_I2C0 is not set
# CONFIG_USB_EHCI_HCD is not set
# XILINX_FSL_LINKS is not set
# CONFIG_CMD_CACHE is not set
# CONFIG_SYS_L2CACHE_OFF is not set

CONFIG_DM=y
CONFIG_SYS_MALLOC_F=y
CONFIG_SYS_GENERIC_BOARD=y
CONFIG_CMD_CLK=y
CONFIG_CMD_UNZIP=y
CONFIG_CMD_BOOTI=y

CONFIG_ZYNQ_SERIAL=y
CONFIG_DEBUG_UART=y
CONFIG_DEBUG_UART_ZYNQ=y
CONFIG_DEBUG_UART_ANNOUNCE=y

CONFIG_DEBUG_UART_BASE=0xFF010000

CONFIG_DEBUG_UART_CLOCK=100000000


CONFIG_MMC=y
CONFIG_DM_MMC=y
CONFIG_MMC_SDHCI_ZYNQ=y
CONFIG_CMD_MMC=y
CONFIG_MMC_SDHCI=y
CONFIG_DOS_PARTITION=y
CONFIG_FAT_WRITE=y

CONFIG_ZYNQ_I2C1=y

CONFIG_CMD_I2C=y





CONFIG_ZYNQMP_USB=y
CONFIG_USB=y
CONFIG_CMD_USB=y
CONFIG_CMD_DFU=y
CONFIG_CMD_THOR_DOWNLOAD=y
CONFIG_USB_XHCI_HCD=y
CONFIG_USB_XHCI_DWC3=y
CONFIG_USB_STORAGE=y
CONFIG_USB_GADGET=y
CONFIG_USB_GADGET_DOWNLOAD=y
CONFIG_USB_XHCI_ZYNQMP=y
CONFIG_USB_DWC3=y
CONFIG_USB_DWC3_GADGET=y
CONFIG_USB_DWC3_GENERIC=y
CONFIG_USB_ULPI_VIEWPORT=y
CONFIG_USB_ULPI=y
CONFIG_CMD_EXT2=y
CONFIG_CMD_EXT4=y
CONFIG_CMD_EXT4_WRITE=y
CONFIG_CMD_FAT=y
CONFIG_DFU_RAM=y

CONFIG_USB_GADGET_MANUFACTURER="Xilinx"

CONFIG_USB_GADGET_VENDOR_NUM=0x03FD

CONFIG_USB_GADGET_PRODUCT_NUM=0x0300

CONFIG_FPGA_ZYNQMPPL=y

CONFIG_CMD_FPGA=y
CONFIG_FPGA=y
CONFIG_FPGA_XILINX=y

# CONFIG_BOOTARGS is not set

# CONFIG_USE_BOOTARGS is not set

# CONFIG_EFI_LOADER is not set

# CONFIG_ENV_IS_IN_FLASH is not set

# CONFIG_ENV_IS_NOWHERE is not set

CONFIG_ENV_IS_IN_FAT=y

CONFIG_ENV_FAT_DEVICE_AND_PART=0:auto

CONFIG_ENV_FAT_FILE=uboot.env

CONFIG_ENV_FAT_INTERFACE=mmc

CONFIG_DFU_MMC=y

CONFIG_BOOTDELAY=4

CONFIG_SYS_CONFIG_NAME="platform-top"

# CONFIG_SPL is not set

# CONFIG_CMD_EEPROM is not set
